/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.logging;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.LogManager;
import java.util.logging.Logger;
import org.openide.util.Exceptions;

/**
 *
 * @author Timon Veenstra
 */
public class LogLevels {

    static {
        try {
            Logger.getLogger("nl.cloudfarming.client").addHandler(SystemLogController.getInstance());
        } catch (SecurityException ex) {
            Exceptions.printStackTrace(ex);
        }
        System.out.println("Logger.getLogger(\"nl.cloudfarming.client\").setLevel(Level.FINEST);");
//        Logger.getLogger("nl.cloudfarming.client").setLevel(Level.FINEST);

        
        try {
            System.setProperty("nl.cloudfarming.client.level", "100");
            System.setProperty("nl.cloudfarming.client.farm.level", "100");
            System.setProperty("nl.cloudfarming.client.fieldplan.level", "100");
            System.setProperty("nl.cloudfarming.client.productionunit.level", "100");
            System.setProperty("nl.cloudfarming.client.geoviewer.level", "100");
            System.setProperty("nl.cloudfarming.client.field.level", "100");
            System.setProperty("nl.cloudfarming.client.geoviewer.edit.level", "100");
            LogManager.getLogManager().readConfiguration();
        } catch (IOException ex) {
            Exceptions.printStackTrace(ex);
        } catch (SecurityException ex) {
            Exceptions.printStackTrace(ex);
        }

        
    //        Logger.getLogger("nl.cloudfarming.client.farm").setLevel(Level.FINEST);
    //        Logger.getLogger("nl.cloudfarming.client.fieldplan").setLevel(Level.ALL);
    //        Logger.getLogger("nl.cloudfarming.client.productionunit").setLevel(Level.ALL);
    //        Logger.getLogger("nl.cloudfarming.client.geoviewer").setLevel(Level.ALL);

    }
}
