/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.logging;

import java.util.logging.*;

/**
 *
 * @author Timon Veenstra
 */
public class SystemLogController extends Handler {

    private static final SystemLogController instance = new SystemLogController();

    public static SystemLogController getInstance() {
        return instance;
    }

    private SystemLogController() {
        setLevel(Level.ALL);
//        setFilter(new Filter() {
//
//            @Override
//            public boolean isLoggable(LogRecord lr) {
//                String loggerName = lr.getSourceClassName();
//                if (loggerName != null && loggerName.startsWith("nl.cloudfarming.client")){
//                    return false;
//                }
//                return false;
//            }
//        });
        
        setFormatter(new SimpleFormatter());
    }

    @Override
    public void publish(LogRecord record) {
        if (isLoggable(record)) {
            if (record.getLevel() == Level.SEVERE) {
                System.err.print(getFormatter().format(record));
            } else {
                System.out.print(getFormatter().format(record));
            }
        }
    }

    @Override
    public void flush() {
    }

    @Override
    public void close() throws SecurityException {
    }
}
